Provider
List your endpoints
List the endpoints you host on TokenChange, with connection details, review status, availability and prices. Requires the endpoints:read scope.
GET
/
v1
/
provider
/
endpoints
cURL
curl --request GET \
--url https://api.tokenchange.io/v1/provider/endpoints \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tokenchange.io/v1/provider/endpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tokenchange.io/v1/provider/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"availability": "pending",
"capabilities": [
"<string>"
],
"config_version": 123,
"created_at": "<string>",
"id": "<string>",
"latest_validations": [
{
"config_version": 123,
"finished_at": "<string>",
"id": "<string>",
"metrics": {},
"started_at": "<string>",
"status": "passed",
"suite": "<string>",
"trigger": "admission",
"error": "<string>"
}
],
"model_id": "<string>",
"pricing": {
"input_per_million": "<string>",
"output_per_million": "<string>",
"cached_per_million": "<string>"
},
"slots": 123,
"slug": "<string>",
"status": "active",
"url": "<string>",
"context_window": 123,
"latest_price_change": {
"id": "<string>",
"pricing": {
"input_per_million": "<string>",
"output_per_million": "<string>",
"cached_per_million": "<string>"
},
"requested_at": "<string>",
"status": "pending",
"decided_at": "<string>",
"decision_reason": "<string>"
},
"output_tokens_per_sec": 123,
"quantization": "<string>",
"review_reason": "<string>",
"reviewed_at": "<string>",
"upstream_model_name": "<string>",
"validated_at": "<string>",
"validation_error": "<string>"
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"resource_id": "<string>"
}
}Authorizations
A gateway API token (tcg_…) created in the dashboard
Query Parameters
Page size, 1–100 (default 20).
Required range:
x >= 0next_cursor from the previous page.
⌘I
cURL
curl --request GET \
--url https://api.tokenchange.io/v1/provider/endpoints \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tokenchange.io/v1/provider/endpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tokenchange.io/v1/provider/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"availability": "pending",
"capabilities": [
"<string>"
],
"config_version": 123,
"created_at": "<string>",
"id": "<string>",
"latest_validations": [
{
"config_version": 123,
"finished_at": "<string>",
"id": "<string>",
"metrics": {},
"started_at": "<string>",
"status": "passed",
"suite": "<string>",
"trigger": "admission",
"error": "<string>"
}
],
"model_id": "<string>",
"pricing": {
"input_per_million": "<string>",
"output_per_million": "<string>",
"cached_per_million": "<string>"
},
"slots": 123,
"slug": "<string>",
"status": "active",
"url": "<string>",
"context_window": 123,
"latest_price_change": {
"id": "<string>",
"pricing": {
"input_per_million": "<string>",
"output_per_million": "<string>",
"cached_per_million": "<string>"
},
"requested_at": "<string>",
"status": "pending",
"decided_at": "<string>",
"decision_reason": "<string>"
},
"output_tokens_per_sec": 123,
"quantization": "<string>",
"review_reason": "<string>",
"reviewed_at": "<string>",
"upstream_model_name": "<string>",
"validated_at": "<string>",
"validation_error": "<string>"
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"resource_id": "<string>"
}
}